//importing geoAlberUsa, topojson
import {select,json,geoPath,geoAlbersUsa} from 'd3';
import { feature } from 'topojson';

const svg = select('svg');
//For projection, use the geoAlberUsa function
const projection = geoAlbersUsa();
const pathGenerator = geoPath().projection(projection);
//reading the data from json file
json(
  'https://cdn.jsdelivr.net/npm/us-atlas@3/states-10m.json'
).then((data) => {
  const states = feature(data, data.objects.states);
  console.log(states);
  console.log(data);
  //using json data to create a map projection
  svg
    .selectAll('path')
    .data(states.features)
    .enter()
    .append('path')
    .attr('class', 'states')
    .attr('d', (d) => pathGenerator(d))
    .append('title')
    .text(d=>d.properties.name);
});

